#ifndef _leds
#define _leds

#include <systemc.h>

SC_MODULE(leds){

  sc_in<bool> clock_i;
  sc_in<bool> reset_ni;
  sc_out<bool> leds_o;

  sc_signal<int > counter;
  sc_signal<bool> status;

  void proc_counter();
  void proc_leds();

  SC_CTOR(leds){

    SC_METHOD(proc_counter);
    sensitive_neg << reset_ni;
    sensitive_pos << clock_i;

    SC_METHOD(proc_leds);
    sensitive << status;
  }


};

#endif
